Bug 15835 - parted thinks hda has 1024 byte sectors
Summary: parted thinks hda has 1024 byte sectors
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: parted   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard: Winston gold
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-09 14:56 UTC by David Balažic
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-29 12:52:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of parted and fdisk (1.63 KB, text/plain)
2000-08-09 14:57 UTC, David Balažic
no flags Details

Description David Balažic 2000-08-09 14:56:39 UTC
parted-1.2.5.-1 from pinstripe doesn't work for me on /dev/hda
first it complains that is supports only 512 byte sectors
and that hda is 1024 bytes.
It also gives a warning :
Warning: The operating system thinks the geometry on /dev/hda is 
392/255/63.  
You should check that this matches the BIOS geometry before using this 
program.

fdisk says that it is really :
Disk /dev/hda: 255 heads, 63 sectors, 784 cylinders

I attache the outputs from parted and fdisk

Comment 1 David Balažic 2000-08-09 14:57:45 UTC
Created attachment 2297 [details]
Output of parted and fdisk

Comment 2 Glen Foster 2000-08-13 19:23:20 UTC
This defect is considered MUST-FIX for Winston Gold-release

Comment 3 David Balažic 2000-08-14 08:05:15 UTC
Andrew Clausen <clausen@gnu.org> sent me this :

Do you have any 2.[34].x headers installed?  You only get this problem
if Parted detects blkpg.h which is only in 2.[34].x headers.

That would explain the difference between fdisk and Parted.

Andrew Clausen

Comment 4 Matt Wilson 2000-08-16 18:32:15 UTC
Should be fixed in parted-1.2.7-1.

Comment 5 David Balažic 2000-08-29 12:52:54 UTC
The version shipped in RC1 ( I think it is 1.2.7-1 ) still
has the bug, but 1.2.8-1 is OK.

Comment 6 Matt Wilson 2000-08-29 15:31:43 UTC
1.2.8 is in final.



Note You need to log in before you can comment on or make changes to this bug.